Cyberduck Mountain Duck CLI

#11171 closed defect (fixed)

Crash in Java_ch_cyberduck_core_local_LaunchServicesQuarantineService_setQuarantine

Reported by: scrutinizer Owned by: scrutinizer
Priority: high Milestone: 7.6.1
Component: googledrive Version: 7.6.0
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description

It crashes immediately after downloading files from Google Drive (I don't have other destinations). macOS Mavericks.

P.S. Can't attach anything on this forum. Why so complicated?

Attachments (1)

Cyberduck_2020-09-12-073138_MACBOOK-PRO-ILJA.crash (111.9 KB) - added by scrutinizer on Sep 12, 2020 at 5:06:20 AM.
The last one of 3 subsequent identical crashes

Download all attachments as: .zip

Change History (10)

Changed on Sep 12, 2020 at 5:06:20 AM by scrutinizer

The last one of 3 subsequent identical crashes

comment:1 Changed on Sep 12, 2020 at 2:26:04 PM by scrutinizer

  • Owner set to scrutinizer
  • Status changed from new to assigned

comment:2 Changed on Sep 14, 2020 at 7:58:15 AM by dkocher

  • Summary changed from Crashes upon downloading files from Google Drive to Crash in Java_ch_cyberduck_core_local_LaunchServicesQuarantineService_setQuarantine

comment:3 follow-up: Changed on Sep 14, 2020 at 8:00:44 AM by dkocher

As a a workaround open Terminal.app and enter

defaults write ch.sudo.cyberduck queue.download.quarantine false

comment:4 Changed on Sep 14, 2020 at 8:04:33 AM by dkocher

Regression in r49551 introducing macOS 10.10+ API usage.

comment:5 Changed on Sep 14, 2020 at 8:05:06 AM by dkocher

  • Milestone set to 8.0

comment:6 Changed on Sep 14, 2020 at 12:52:27 PM by scrutinizer

Thanks, that helped.

comment:7 in reply to: ↑ 3 Changed on Sep 14, 2020 at 12:53:18 PM by scrutinizer

Replying to dkocher:

As a a workaround open Terminal.app and enter

defaults write ch.sudo.cyberduck queue.download.quarantine false

Thanks, it helped.

comment:8 Changed on Sep 14, 2020 at 5:48:11 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r49795.

comment:9 Changed on Sep 14, 2020 at 5:48:41 PM by dkocher

  • Milestone changed from 8.0 to 7.6.1
Note: See TracTickets for help on using tickets.
swiss made software